# PreCheckoutQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments / PreCheckoutQuery

# PreCheckoutQuery

(common) `data class PreCheckoutQuery : Currencied, Amounted` (source)

### Constructors

(common)

#### <init>

`PreCheckoutQuery(id: PreCheckoutQueryId, user: User, currency: Currency, amount: Long, invoicePayload: InvoicePayload, shippingOptionId: ShippingOptionIdentifier? = null, orderInfo: OrderInfo? = null)`

### Properties

(common)

#### amount

`val amount: Long`

(common)

#### currency

`val currency: Currency`

(common)

#### id

`val id: PreCheckoutQueryId`

(common)

#### invoicePayload

`val invoicePayload: InvoicePayload`

(common)

#### orderInfo

`val orderInfo: OrderInfo?`

(common)

#### shippingOptionId

`val shippingOptionId: ShippingOptionIdentifier?`

(common)

#### user

`val user: User`

### Extension Functions

(common)

#### createAnswerError

`fun PreCheckoutQuery.createAnswerError(error: String): AnswerPreCheckoutQueryError`

(common)

#### createAnswerOk

`fun PreCheckoutQuery.createAnswerOk(): AnswerPreCheckoutQueryOk`